/*****************************************************************************
* UNIT DESCRIPTION:  Input class used by LDP charting
* SPEC REF: (if used)
* DESIGN REF: (if used)
*
* Copyright (c) 2009 Schweitzer Engineering Laboratories, Pullman, Washington
******************************************************************************/
using System;
using System.ComponentModel;

namespace SELChartClasses
{
    public class TTimeSeriesInputSettingsLDP : TTimeSeriesInputSettings 
    {

        private Boolean FBeginDateActive;
        private Boolean FEndDateActive;
        private DateTime FBeginDateTime;
        private DateTime FEndDateTime;

        public Boolean BeginDateActive
        {
            get
            {
                return FBeginDateActive;
            }
            set
            {
                FBeginDateActive = value;
            }
        }

        public Boolean EndDateActive
        {
            get
            {
                return FEndDateActive;
            }
            set
            {
                FEndDateActive = value;
            }
        }

        public DateTime BeginDateTime
        {
            get
            {
                return FBeginDateTime;
            }
            set
            {
                FBeginDateTime = value;
            }
        }

        public DateTime EndDateTime
        {
            get
            {
                return FEndDateTime;
            }
            set
            {
                FEndDateTime = value;
            }
        }


/************************************************************************
* NAME:           Create
* FUNCTIONAL DESCRIPTION:   constructor
* INPUT PARAMETERS: none
* OUTPUT PARAMETERS: none
* RETURN: none
************************************************************************/
        public TTimeSeriesInputSettingsLDP()
        {
          FBeginDateActive = false;
          FEndDateActive = false;
          FBeginDateTime = DateTime.Now;
          FEndDateTime = DateTime.Now;
        }
    }
}
