/*****************************************************************************
* UNIT DESCRIPTION:  Input class used by SSI charting
* SPEC REF: (if used)
* DESIGN REF: (if used)
*
* Copyright (c) 2009 Schweitzer Engineering Laboratories, Pullman, Washington
******************************************************************************/
using System;
using System.ComponentModel;

namespace SELChartClasses
{
    public class TTimeSeriesInputSettingsSSI : TTimeSeriesInputSettings
    {

        private Boolean FBeginDateActive;
        private Boolean FEndDateActive;
        THMIEventPhase FEventPhase;
        TTimeSeriesEventType FEventType;
        DateTime FBeginDateTime;
        DateTime FEndDateTime;
        Boolean FChartCBEMA;


        public Boolean BeginDateActive
        {
            get { return FBeginDateActive; }
            set { FBeginDateActive = value; }
        }

        public Boolean EndDateActive
        {
            get { return FEndDateActive; }
            set { FEndDateActive = value; }
        }

        public THMIEventPhase EventPhase
        {
            get { return FEventPhase; }
            set { FEventPhase = value; }
        }

        public TTimeSeriesEventType EventType
        {
            get { return FEventType; }
            set { FEventType = value; }
        }

        public DateTime BeginDateTime
        {
            get { return FBeginDateTime; }
            set { FBeginDateTime = value; }
        }

        public DateTime EndDateTime
        {
            get { return FEndDateTime; }
            set { FEndDateTime = value; }
        }

        public Boolean ChartCBEMA
        {
            get { return FChartCBEMA; }
            set { FChartCBEMA = value; }
        }

        /************************************************************************
        * NAME:           Create
        * FUNCTIONAL DESCRIPTION:   constructor
        * INPUT PARAMETERS: none
        * OUTPUT PARAMETERS: none
        * RETURN: none
        ************************************************************************/
        public TTimeSeriesInputSettingsSSI()
        {
            FEventPhase = THMIEventPhase.epAll;
            FEventType = TTimeSeriesEventType.evAll;
            FBeginDateActive = false;
            FEndDateActive = false;
            FBeginDateTime = DateTime.Now;
            FEndDateTime = DateTime.Now;
            FChartCBEMA = true;
        }
    }
}
