﻿using System;
using System.ComponentModel;

namespace WpfListViewSorting
{
    public class PersonComparer : ListViewCustomComparer<Person>
    {
        /// <summary>
        /// Compares the specified x to y.
        /// </summary>
        /// <param name="x">The x.</param>
        /// <param name="y">The y.</param>
        /// <returns></returns>
        public override int Compare(Person x, Person y)
        {
            try
            {

                String valueX = String.Empty, valueY = String.Empty;
                switch (SortBy)
                {
                    default:
                    case "FirstName":
                        valueX = x.FirstName;
                        valueY = y.FirstName;
                        break;
                    case "LastName":
                        valueX = x.LastName;
                        valueY = y.LastName;
                        break;
                    case "Age":
                        if (SortDirection.Equals(ListSortDirection.Ascending)) return x.Age.CompareTo(y.Age);
                        else return (-1) * x.Age.CompareTo(y.Age);
                }

                if (SortDirection.Equals(ListSortDirection.Ascending)) return String.Compare(valueX, valueY);
                else return (-1) * String.Compare(valueX, valueY);

            }
            catch (Exception)
            {
                return 0;
            }
        }
    }
}
